Skip to content

Create a plan (Stripe product + price)

POST
/api/v1/plans
curl --request POST \
--url https://example.com/api/v1/plans \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "name": "Pro Monthly", "amount": 1900, "currency": "usd", "interval": "month" }'
Media typeapplication/json
object
name
required
string

Example

Pro Monthly
amount
required

Amount in smallest currency unit (cents)

number
>= 1

Example

1900
currency
required
string
>= 3 characters <= 3 characters

Example

usd
interval
required
string
Allowed values: month year

Example

month
Media typeapplication/json
object
id
required
string
stripeProductId
required
string
stripePriceId
required
string
name
required
string
amount
required

Smallest currency unit (cents) — never floating point

number
currency
required
string
interval
required
string
Allowed values: year month
active
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example

{
"interval": "year"
}